Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.model
Class RuleModelDocument

    java.lang.Object
      com.bea.p13n.model.DefaultDocumentModel
          com.bea.p13n.rules.model.RuleModelDocument

All Implemented Interfaces
  DocumentModel, Serializable

    public class RuleModelDocument

extends DefaultDocumentModel

A default model document for RuleModels. This also provides common methods for parsing and writing rule xml in the preferred manner.

See Also
  Serialized Form

Field Summary
`static String` | `DEFAULT_ENCODING` The default character encoding to use, if document's don't specify one themselves.
`static String` | `schemaLocation` The xsi:schemaLocation value for rule documents.
`static Map<String,String>` | `suggestedPrefixes` The unmodifiable map of namespace uri to preferred prefix for rule xml.

Constructor Summary
`RuleModelDocument(InputStream in)` Constructor from an input stream.
`RuleModelDocument(Reader in)` Constructor from an input reader.
`RuleModelDocument(RuleModel rm)` Constructor from RuleModel.
`RuleModelDocument(String in)` Constructor from xml.

Method Summary
`static org.apache.xmlbeans.XmlOptions` | `getSaveOptions()` Get default XmlOptions for saving/outputting rule xml.
`static RuleModel` | `parseRuleModel(InputStream xml, Collection errors)` Parse a rule model from an input stream
`static RuleModel` | `parseRuleModel(Reader xml, Collection errors)` Parse a rule model from a reader.
`static RuleModel` | `parseRuleModel(String xml, Collection errors)` Parse a rule model from xml.
`static com.bea.p13n.rules.schema.RuleDocument` | `prepareForSave(RuleModel rm, String encoding, org.apache.xmlbeans.XmlOptions opts)` Prepare a RuleDocument xml object from the RuleModel.
`static boolean` | `setSchemaLocation(org.apache.xmlbeans.XmlObject o, String loc)` Set the xsi:schemaLocation attribute of the specified object to the specified value (null to remove).
`static InputStream` | `toInputStream(RuleModel rm)` Get an input stream of the specified RuleModel's xml.
`static InputStream` | `toInputStream(RuleModel rm, String encoding)` Get an input stream of the specified RuleModel's xml.
`static Reader` | `toReader(RuleModel rm)` Get a reader of the specified RuleModel's xml.
`static Reader` | `toReader(RuleModel rm, String encoding)` Get a reader of the specified RuleModel's xml.
`static String` | `toString(RuleModel rm)` Get the specified RuleModel's xml.
`static String` | `toString(RuleModel rm, String encoding)` Get the specified RuleModel's xml.

Methods inherited from class com.bea.p13n.model.DefaultDocumentModel
`addChangeListener, getRootModel, modelChildAdded, modelChildRemoved, modelPropertyChanged, removeChangeListener, setRootModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### suggestedPrefixes

    public static final Map<String,String> suggestedPrefixes

  The unmodifiable map of namespace uri to preferred prefix for rule xml.

### DEFAULT_ENCODING

    public static final String DEFAULT_ENCODING

  The default character encoding to use, if document's don't specify one themselves.

  See Also
    Constants Summary

### schemaLocation

    public static final String schemaLocation

  The xsi:schemaLocation value for rule documents.

  See Also
    Constants Summary

Constructor Detail

### RuleModelDocument

    public RuleModelDocument(RuleModel rm)

  Constructor from RuleModel.

### RuleModelDocument

    public RuleModelDocument(Reader in)
                      throws org.apache.xmlbeans.XmlException,
                             IllegalArgumentException,
                             IOException

  Constructor from an input reader.

  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception
    `IllegalArgumentException` - if the xml is not valid for RuleModel.
    `IOException` - on an error reading from the stream.

### RuleModelDocument

    public RuleModelDocument(InputStream in)
                      throws org.apache.xmlbeans.XmlException,
                             IllegalArgumentException,
                             IOException

  Constructor from an input stream.

  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception
    `IllegalArgumentException` - if the xml is not valid for RuleModel.
    `IOException` - on an error reading from the stream.

### RuleModelDocument

    public RuleModelDocument(String in)
                      throws org.apache.xmlbeans.XmlException,
                             IllegalArgumentException

  Constructor from xml.

  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception
    `IllegalArgumentException` - if the xml is not valid for RuleModel.

Method Detail

### parseRuleModel

    public static RuleModel parseRuleModel(String xml,
                                           Collection errors)
                                    throws org.apache.xmlbeans.XmlException,
                                           IllegalArgumentException

  Parse a rule model from xml.

  Parameters
    `xml` - the xml string.
    `errors` - a collection to store any XmlErrors from the parse.
  Returns
    the RuleModel, initialized from the xml.
  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception
    `IllegalArgumentException` - if the xml is not valid for RuleModel.

### parseRuleModel

    public static RuleModel parseRuleModel(Reader xml,
                                           Collection errors)
                                    throws org.apache.xmlbeans.XmlException,
                                           IllegalArgumentException,
                                           IOException

  Parse a rule model from a reader.

  Parameters
    `xml` - the xml reader
    `errors` - a collection to store any XmlErrors from the parse.
  Returns
    the RuleModel, initialized from the xml.
  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception.
    `IllegalArgumentException` - if the xml is not valid for RuleModel.
    `IOException` - on an error reading from the stream.

### parseRuleModel

    public static RuleModel parseRuleModel(InputStream xml,
                                           Collection errors)
                                    throws org.apache.xmlbeans.XmlException,
                                           IllegalArgumentException,
                                           IOException

  Parse a rule model from an input stream

  Parameters
    `xml` - the xml input streaml.
    `errors` - a collection to store any XmlErrors from the parse.
  Returns
    the RuleModel, initialized from the xml.
  Throws
    `org.apache.xmlbeans.XmlException` - on a parsing exception.
    `IllegalArgumentException` - if the xml is not valid for RuleModel.
    `IOException` - on an error reading from the stream.

### setSchemaLocation

    public static boolean setSchemaLocation(org.apache.xmlbeans.XmlObject o,
                                            String loc)

  Set the xsi:schemaLocation attribute of the specified object to the specified value (null to remove).

  Parameters
    `o` - the document or element object.
    `loc` - the schemaLocation value or null to remove.
  Returns
    true on set, false on not.

### getSaveOptions

    public static org.apache.xmlbeans.XmlOptions getSaveOptions()

  Get default XmlOptions for saving/outputting rule xml.

  See Also
    `suggestedPrefixes`

### prepareForSave

    public static com.bea.p13n.rules.schema.RuleDocument prepareForSave(RuleModel rm,
                                                                        String encoding,
                                                                        org.apache.xmlbeans.XmlOptions opts)

  Prepare a RuleDocument xml object from the RuleModel. This will save the encoding on the xml object and in the XmlOptions. The returned RuleDocument and modified XmlOptions can then be used to generate the xml.

  Parameters
    `rm` - the rule model.
    `encoding` - the encoding to use, null for default.
    `opts` - the opts to modify appropriately.

### toInputStream

    public static InputStream toInputStream(RuleModel rm)

  Get an input stream of the specified RuleModel's xml.

### toInputStream

    public static InputStream toInputStream(RuleModel rm,
                                            String encoding)

  Get an input stream of the specified RuleModel's xml.

### toReader

    public static Reader toReader(RuleModel rm)

  Get a reader of the specified RuleModel's xml.

### toReader

    public static Reader toReader(RuleModel rm,
                                  String encoding)

  Get a reader of the specified RuleModel's xml.

  Parameters
    `rm` - the rule model.
    `encoding` - the character encoding to use, null for model's default encoding.

### toString

    public static String toString(RuleModel rm)

  Get the specified RuleModel's xml.

### toString

    public static String toString(RuleModel rm,
                                  String encoding)

  Get the specified RuleModel's xml.

  Parameters
    `rm` - the rule model.
    `encoding` - the character encoding to use, null for model's default encoding.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.